diff -Naur phpbb-3.1.0-RC4/includes/bbcode.php phpbb-3.1.0-RC4-HTML5/includes/bbcode.php
--- phpbb-3.1.0-RC4/includes/bbcode.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/bbcode.php	2014-09-21 12:00:00.000000000 +0200
@@ -172,7 +172,7 @@
 
 			while ($row = $db->sql_fetchrow($result))
 			{
-				// To circumvent replacing newlines with <br /> for the generated html,
+				// To circumvent replacing newlines with <br> for the generated html,
 				// we use carriage returns here. They are later changed back to newlines
 				$row['bbcode_tpl'] = str_replace("\n", "\r", $row['bbcode_tpl']);
 				$row['second_pass_replace'] = str_replace("\n", "\r", $row['second_pass_replace']);
@@ -407,7 +407,7 @@
 				'i_close'	=> '</span>',
 				'u_open'	=> '<span style="text-decoration: underline">',
 				'u_close'	=> '</span>',
-				'img'		=> '<img src="$1" class="postimage" alt="' . $user->lang['IMAGE'] . '" />',
+				'img'		=> '<img src="$1" class="postimage" alt="' . $user->lang['IMAGE'] . '">',
 				'size'		=> '<span style="font-size: $1%; line-height: normal">$2</span>',
 				'color'		=> '<span style="color: $1">$2</span>',
 				'email'		=> '<a href="mailto:$1">$2</a>'
@@ -562,7 +562,7 @@
 		{
 			case 'php':
 				// Not the english way, but valid because of hardcoded syntax highlighting
-				if (strpos($code, '<span class="syntaxdefault"><br /></span>') === 0)
+				if (strpos($code, '<span class="syntaxdefault"><br></span>') === 0)
 				{
 					$code = substr($code, 41);
 				}
diff -Naur phpbb-3.1.0-RC4/includes/diff/renderer.php phpbb-3.1.0-RC4-HTML5/includes/diff/renderer.php
--- phpbb-3.1.0-RC4/includes/diff/renderer.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/diff/renderer.php	2014-09-21 12:00:00.000000000 +0200
@@ -322,17 +322,17 @@
 
 	function _context($lines)
 	{
-		return '<pre class="diff context">' . htmlspecialchars($this->_lines($lines, ' ')) . '<br /></pre>';
+		return '<pre class="diff context">' . htmlspecialchars($this->_lines($lines, ' ')) . '<br></pre>';
 	}
 
 	function _added($lines)
 	{
-		return '<pre class="diff added">' . htmlspecialchars($this->_lines($lines, '+')) . '<br /></pre>';
+		return '<pre class="diff added">' . htmlspecialchars($this->_lines($lines, '+')) . '<br></pre>';
 	}
 
 	function _deleted($lines)
 	{
-		return '<pre class="diff removed">' . htmlspecialchars($this->_lines($lines, '-')) . '<br /></pre>';
+		return '<pre class="diff removed">' . htmlspecialchars($this->_lines($lines, '-')) . '<br></pre>';
 	}
 
 	function _changed($orig, $final)
@@ -389,7 +389,7 @@
 	*/
 	function get_diff_content($diff)
 	{
-		return '<pre>' . nl2br($this->render($diff)) . '<br /></pre>';
+		return '<pre>' . nl2br($this->render($diff)) . '<br></pre>';
 	}
 
 	function _start_diff()
@@ -638,8 +638,8 @@
 						$line = $current_context;
 						$current_context = '';
 
-						$output .= '<tr class="unmodified"><td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br /></pre></td>
-							<td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br /></pre></td></tr>';
+						$output .= '<tr class="unmodified"><td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br></pre></td>
+							<td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br></pre></td></tr>';
 					}
 
 					switch ($change['type'])
@@ -649,10 +649,10 @@
 
 							foreach ($change['lines'] as $_line)
 							{
-								$line .= htmlspecialchars($_line) . '<br />';
+								$line .= htmlspecialchars($_line) . '<br>';
 							}
 
-							$output .= '<tr><td class="added_empty">&nbsp;</td><td class="added"><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br /></pre></td></tr>';
+							$output .= '<tr><td class="added_empty">&nbsp;</td><td class="added"><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br></pre></td></tr>';
 						break;
 
 						case 'remove':
@@ -660,14 +660,14 @@
 
 							foreach ($change['lines'] as $_line)
 							{
-								$line .= htmlspecialchars($_line) . '<br />';
+								$line .= htmlspecialchars($_line) . '<br>';
 							}
 
-							$output .= '<tr><td class="removed"><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br /></pre></td><td class="removed_empty">&nbsp;</td></tr>';
+							$output .= '<tr><td class="removed"><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br></pre></td><td class="removed_empty">&nbsp;</td></tr>';
 						break;
 
 						case 'empty':
-							$current_context .= htmlspecialchars($change['line']) . '<br />';
+							$current_context .= htmlspecialchars($change['line']) . '<br>';
 						break;
 
 						case 'change':
@@ -679,16 +679,16 @@
 							for ($row = 0, $row_max = max($oldsize, $newsize); $row < $row_max; ++$row)
 							{
 								$left .= isset($change['old'][$row]) ? htmlspecialchars($change['old'][$row]) : '';
-								$left .= '<br />';
+								$left .= '<br>';
 								$right .= isset($change['new'][$row]) ? htmlspecialchars($change['new'][$row]) : '';
-								$right .= '<br />';
+								$right .= '<br>';
 							}
 
 							$output .= '<tr>';
 
 							if (!empty($left))
 							{
-								$output .= '<td class="modified"><pre>' . $left . '<br /></pre></td>';
+								$output .= '<td class="modified"><pre>' . $left . '<br></pre></td>';
 							}
 							else if ($row < $oldsize)
 							{
@@ -701,7 +701,7 @@
 
 							if (!empty($right))
 							{
-								$output .= '<td class="modified"><pre>' . $right . '<br /></pre></td>';
+								$output .= '<td class="modified"><pre>' . $right . '<br></pre></td>';
 							}
 							else if ($row < $newsize)
 							{
@@ -722,8 +722,8 @@
 					$line = $current_context;
 					$current_context = '';
 
-					$output .= '<tr class="unmodified"><td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br /></pre></td>';
-					$output .= '<td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br /></pre></td></tr>';
+					$output .= '<tr class="unmodified"><td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br></pre></td>';
+					$output .= '<td><pre>' . ((strlen($line)) ? $line : '&nbsp;') . '<br></pre></td></tr>';
 				}
 			}
 		}
diff -Naur phpbb-3.1.0-RC4/includes/functions.php phpbb-3.1.0-RC4-HTML5/includes/functions.php
--- phpbb-3.1.0-RC4/includes/functions.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions.php	2014-09-21 12:00:00.000000000 +0200
@@ -2325,7 +2325,7 @@
 		echo '<html dir="' . $user->lang['DIRECTION'] . '" lang="' . $user->lang['USER_LANG'] . '">';
 		echo '<head>';
 		echo '<meta charset="utf-8">';
-		echo '<meta http-equiv="refresh" content="0; url=' . str_replace('&', '&amp;', $url) . '" />';
+		echo '<meta http-equiv="refresh" content="0; url=' . str_replace('&', '&amp;', $url) . '">';
 		echo '<title>' . $user->lang['REDIRECT'] . '</title>';
 		echo '</head>';
 		echo '<body>';
@@ -2438,7 +2438,7 @@
 		$url = str_replace('&', '&amp;', $url);
 
 		$template->assign_vars(array(
-			'META' => '<meta http-equiv="refresh" content="' . $time . '; url=' . $url . '" />')
+			'META' => '<meta http-equiv="refresh" content="' . $time . '; url=' . $url . '">')
 		);
 	}
 
@@ -3070,7 +3070,7 @@
 		$value = ($stripslashes) ? stripslashes($value) : $value;
 		$value = ($specialchar) ? htmlspecialchars($value, ENT_COMPAT, 'UTF-8') : $value;
 
-		$hidden_fields .= '<input type="hidden" name="' . $key . '" value="' . $value . '" />' . "\n";
+		$hidden_fields .= '<input type="hidden" name="' . $key . '" value="' . $value . '">' . "\n";
 	}
 	else
 	{
@@ -3246,12 +3246,12 @@
 		$trace['class'] = (!isset($trace['class'])) ? '' : $trace['class'];
 		$trace['type'] = (!isset($trace['type'])) ? '' : $trace['type'];
 
-		$output .= '<br />';
-		$output .= '<b>FILE:</b> ' . $trace['file'] . '<br />';
-		$output .= '<b>LINE:</b> ' . ((!empty($trace['line'])) ? $trace['line'] : '') . '<br />';
+		$output .= '<br>';
+		$output .= '<b>FILE:</b> ' . $trace['file'] . '<br>';
+		$output .= '<b>LINE:</b> ' . ((!empty($trace['line'])) ? $trace['line'] : '') . '<br>';
 
 		$output .= '<b>CALL:</b> ' . htmlspecialchars($trace['class'] . $trace['type'] . $trace['function']);
-		$output .= '(' . (($argument !== '') ? "'$argument'" : '') . ')<br />';
+		$output .= '(' . (($argument !== '') ? "'$argument'" : '') . ')<br>';
 	}
 	$output .= '</div>';
 	return $output;
@@ -3277,7 +3277,7 @@
 				'#<!\-\- e \-\-><a href="mailto:(.*?)">.*?</a><!\-\- e \-\->#',
 				'#<!\-\- l \-\-><a (?:class="[\w-]+" )?href="(.*?)(?:(&amp;|\?)sid=[0-9a-f]{32})?">.*?</a><!\-\- l \-\->#',
 				'#<!\-\- ([mw]) \-\-><a (?:class="[\w-]+" )?href="(.*?)">.*?</a><!\-\- \1 \-\->#',
-				'#<!\-\- s(.*?) \-\-><img src="\{SMILIES_PATH\}\/.*? \/><!\-\- s\1 \-\->#',
+				'#<!\-\- s(.*?) \-\-><img src="\{SMILIES_PATH\}\/.*?\s?\/?><!\-\- s\1 \-\->#',
 				'#<!\-\- .*? \-\->#s',
 				'#<.*?>#s',
 			);
@@ -3804,14 +3804,14 @@
 				$errfile = phpbb_filter_root_path($errfile);
 				$msg_text = phpbb_filter_root_path($msg_text);
 				$error_name = ($errno === E_WARNING) ? 'PHP Warning' : 'PHP Notice';
-				echo '<b>[phpBB Debug] ' . $error_name . '</b>: in file <b>' . $errfile . '</b> on line <b>' . $errline . '</b>: <b>' . $msg_text . '</b><br />' . "\n";
+				echo '<b>[phpBB Debug] ' . $error_name . '</b>: in file <b>' . $errfile . '</b> on line <b>' . $errline . '</b>: <b>' . $msg_text . '</b><br>' . "\n";
 
 				// we are writing an image - the user won't see the debug, so let's place it in the log
 				if (defined('IMAGE_OUTPUT') || defined('IN_CRON'))
 				{
 					add_log('critical', 'LOG_IMAGE_GENERATION_ERROR', $errfile, $errline, $msg_text);
 				}
-				// echo '<br /><br />BACKTRACE<br />' . get_backtrace() . '<br />' . "\n";
+				// echo '<br><br>BACKTRACE<br>' . get_backtrace() . '<br>' . "\n";
 			}
 
 			return;
@@ -3849,7 +3849,7 @@
 			$backtrace = get_backtrace();
 			if ($backtrace)
 			{
-				$log_text .= '<br /><br />BACKTRACE<br />' . $backtrace;
+				$log_text .= '<br><br>BACKTRACE<br>' . $backtrace;
 			}
 
 			if (defined('IN_INSTALL') || defined('DEBUG') || isset($auth) && $auth->acl_get('a_'))
@@ -3887,14 +3887,13 @@
 			echo '<head>';
 			echo '<meta charset="utf-8">';
 			echo '<title>' . $msg_title . '</title>';
-			echo '<style type="text/css">' . "\n" . '/* <![CDATA[ */' . "\n";
+			echo '<style>';
 			echo '* { margin: 0; padding: 0; } html { font-size: 100%; height: 100%; margin-bottom: 1px; background-color: #E4EDF0; } body { font-family: "Lucida Grande", Verdana, Helvetica, Arial, sans-serif; color: #536482; background: #E4EDF0; font-size: 62.5%; margin: 0; } ';
 			echo 'a:link, a:active, a:visited { color: #006699; text-decoration: none; } a:hover { color: #DD6900; text-decoration: underline; } ';
 			echo '#wrap { padding: 0 20px 15px 20px; min-width: 615px; } #page-header { text-align: right; height: 40px; } #page-footer { clear: both; font-size: 1em; text-align: center; } ';
 			echo '.panel { margin: 4px 0; background-color: #FFFFFF; border: solid 1px  #A9B8C2; } ';
 			echo '#errorpage #page-header a { font-weight: bold; line-height: 6em; } #errorpage #content { padding: 10px; } #errorpage #content h1 { line-height: 1.2em; margin-bottom: 0; color: #DF075C; } ';
 			echo '#errorpage #content div { margin-top: 20px; margin-bottom: 5px; border-bottom: 1px solid #CCCCCC; padding-bottom: 5px; color: #333333; font: bold 1.2em "Lucida Grande", Arial, Helvetica, sans-serif; text-decoration: none; line-height: 120%; text-align: left; } ';
-			echo "\n" . '/* ]]> */' . "\n";
 			echo '</style>';
 			echo '</head>';
 			echo '<body id="errorpage">';
@@ -4629,7 +4628,7 @@
 		if ($value === $get_value)
 		{
 			$escaped_value = phpbb_quoteattr($value);
-			$hidden .= "<input type='hidden' name=$escaped_name value=$escaped_value />";
+			$hidden .= "<input type='hidden' name=$escaped_name value=$escaped_value>";
 		}
 	}
 	return $hidden;
@@ -4715,7 +4714,7 @@
 		$html = '<img src="' . $avatar_data['src'] . '" ' .
 			($avatar_data['width'] ? ('width="' . $avatar_data['width'] . '" ') : '') .
 			($avatar_data['height'] ? ('height="' . $avatar_data['height'] . '" ') : '') .
-			'alt="' . ((!empty($user->lang[$alt])) ? $user->lang[$alt] : $alt) . '" />';
+			'alt="' . ((!empty($user->lang[$alt])) ? $user->lang[$alt] : $alt) . '">';
 	}
 
 	return $html;
@@ -5251,7 +5250,7 @@
 		if ($task)
 		{
 			$url = $task->get_url();
-			$template->assign_var('RUN_CRON_TASK', '<img src="' . $url . '" width="1" height="1" alt="cron" />');
+			$template->assign_var('RUN_CRON_TASK', '<img src="' . $url . '" width="1" height="1" alt="cron">');
 		}
 		else
 		{
diff -Naur phpbb-3.1.0-RC4/includes/functions_acp.php phpbb-3.1.0-RC4-HTML5/includes/functions_acp.php
--- phpbb-3.1.0-RC4/includes/functions_acp.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_acp.php	2014-09-21 12:00:00.000000000 +0200
@@ -89,16 +89,16 @@
 
 		'T_ASSETS_VERSION'		=> $config['assets_version'],
 
-		'ICON_MOVE_UP'				=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_up.gif" alt="' . $user->lang['MOVE_UP'] . '" title="' . $user->lang['MOVE_UP'] . '" />',
-		'ICON_MOVE_UP_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_up_disabled.gif" alt="' . $user->lang['MOVE_UP'] . '" title="' . $user->lang['MOVE_UP'] . '" />',
-		'ICON_MOVE_DOWN'			=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_down.gif" alt="' . $user->lang['MOVE_DOWN'] . '" title="' . $user->lang['MOVE_DOWN'] . '" />',
-		'ICON_MOVE_DOWN_DISABLED'	=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_down_disabled.gif" alt="' . $user->lang['MOVE_DOWN'] . '" title="' . $user->lang['MOVE_DOWN'] . '" />',
-		'ICON_EDIT'					=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_edit.gif" alt="' . $user->lang['EDIT'] . '" title="' . $user->lang['EDIT'] . '" />',
-		'ICON_EDIT_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_edit_disabled.gif" alt="' . $user->lang['EDIT'] . '" title="' . $user->lang['EDIT'] . '" />',
-		'ICON_DELETE'				=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_delete.gif" alt="' . $user->lang['DELETE'] . '" title="' . $user->lang['DELETE'] . '" />',
-		'ICON_DELETE_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_delete_disabled.gif" alt="' . $user->lang['DELETE'] . '" title="' . $user->lang['DELETE'] . '" />',
-		'ICON_SYNC'					=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_sync.gif" alt="' . $user->lang['RESYNC'] . '" title="' . $user->lang['RESYNC'] . '" />',
-		'ICON_SYNC_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_sync_disabled.gif" alt="' . $user->lang['RESYNC'] . '" title="' . $user->lang['RESYNC'] . '" />',
+		'ICON_MOVE_UP'				=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_up.gif" alt="' . $user->lang['MOVE_UP'] . '" title="' . $user->lang['MOVE_UP'] . '">',
+		'ICON_MOVE_UP_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_up_disabled.gif" alt="' . $user->lang['MOVE_UP'] . '" title="' . $user->lang['MOVE_UP'] . '">',
+		'ICON_MOVE_DOWN'			=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_down.gif" alt="' . $user->lang['MOVE_DOWN'] . '" title="' . $user->lang['MOVE_DOWN'] . '">',
+		'ICON_MOVE_DOWN_DISABLED'	=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_down_disabled.gif" alt="' . $user->lang['MOVE_DOWN'] . '" title="' . $user->lang['MOVE_DOWN'] . '">',
+		'ICON_EDIT'					=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_edit.gif" alt="' . $user->lang['EDIT'] . '" title="' . $user->lang['EDIT'] . '">',
+		'ICON_EDIT_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_edit_disabled.gif" alt="' . $user->lang['EDIT'] . '" title="' . $user->lang['EDIT'] . '">',
+		'ICON_DELETE'				=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_delete.gif" alt="' . $user->lang['DELETE'] . '" title="' . $user->lang['DELETE'] . '">',
+		'ICON_DELETE_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_delete_disabled.gif" alt="' . $user->lang['DELETE'] . '" title="' . $user->lang['DELETE'] . '">',
+		'ICON_SYNC'					=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_sync.gif" alt="' . $user->lang['RESYNC'] . '" title="' . $user->lang['RESYNC'] . '">',
+		'ICON_SYNC_DISABLED'		=> '<img src="' . htmlspecialchars($phpbb_admin_path) . 'images/icon_sync_disabled.gif" alt="' . $user->lang['RESYNC'] . '" title="' . $user->lang['RESYNC'] . '">',
 
 		'S_USER_LANG'			=> $user->lang['USER_LANG'],
 		'S_CONTENT_DIRECTION'	=> $user->lang['DIRECTION'],
@@ -189,7 +189,7 @@
 function adm_back_link($u_action)
 {
 	global $user;
-	return '<br /><br /><a href="' . $u_action . '">&laquo; ' . $user->lang['BACK_TO_PREV'] . '</a>';
+	return '<br><br><a href="' . $u_action . '">&laquo; ' . $user->lang['BACK_TO_PREV'] . '</a>';
 }
 
 /**
@@ -221,7 +221,7 @@
 	foreach ($input_ary as $value => $title)
 	{
 		$selected = ($input_default !== false && $value == $input_default) ? ' checked="checked"' : '';
-		$html .= '<label><input type="radio" name="' . $name . '"' . (($id && !$id_assigned) ? ' id="' . $id . '"' : '') . ' value="' . $value . '"' . $selected . (($key) ? ' accesskey="' . $key . '"' : '') . ' class="radio" /> ' . $user->lang[$title] . '</label>' . $separator;
+		$html .= '<label><input type="radio" name="' . $name . '"' . (($id && !$id_assigned) ? ' id="' . $id . '"' : '') . ' value="' . $value . '"' . $selected . (($key) ? ' accesskey="' . $key . '"' : '') . ' class="radio"> ' . $user->lang[$title] . '</label>' . $separator;
 		$id_assigned = true;
 	}
 
@@ -263,7 +263,7 @@
 			$size = (int) $tpl_type[1];
 			$maxlength = (int) $tpl_type[2];
 
-			$tpl = '<input id="' . $key . '" type="' . $tpl_type[0] . '"' . (($size) ? ' size="' . $size . '"' : '') . ' maxlength="' . (($maxlength) ? $maxlength : 255) . '" name="' . $name . '" value="' . $new[$config_key] . '"' . (($tpl_type[0] === 'password') ?  ' autocomplete="off"' : '') . ' />';
+			$tpl = '<input id="' . $key . '" type="' . $tpl_type[0] . '"' . (($size) ? ' size="' . $size . '"' : '') . ' maxlength="' . (($maxlength) ? $maxlength : 255) . '" name="' . $name . '" value="' . $new[$config_key] . '"' . (($tpl_type[0] === 'password') ?  ' autocomplete="off"' : '') . '>';
 		break;
 
 		case 'number':
@@ -275,7 +275,7 @@
 				$maxlength = strlen( (string) $max );
 			}
 
-			$tpl = '<input id="' . $key . '" type="number" maxlength="' . (( $maxlength != '' ) ? $maxlength : 255) . '"' . (( $min != '' ) ? ' min="' . $min . '"' : '') . (( $max != '' ) ? ' max="' . $max . '"' : '') . ' name="' . $name . '" value="' . $new[$config_key] . '" />';
+			$tpl = '<input id="' . $key . '" type="number" maxlength="' . (( $maxlength != '' ) ? $maxlength : 255) . '"' . (( $min != '' ) ? ' min="' . $min . '"' : '') . (( $max != '' ) ? ' max="' . $max . '"' : '') . ' name="' . $name . '" value="' . $new[$config_key] . '">';
 		break;
 
 		case 'dimension':
@@ -289,7 +289,7 @@
 				$size = $maxlength = strlen( (string) $max );
 			}
 
-			$tpl = '<input id="' . $key . '" type="number"' . (( $size != '' ) ? ' size="' . $size . '"' : '') . ' maxlength="' . (($maxlength != '') ? $maxlength : 255) . '"' . (( $min !== '' ) ? ' min="' . $min . '"' : '') . (( $max != '' ) ? ' max="' . $max . '"' : '') . ' name="config[' . $config_key . '_width]" value="' . $new[$config_key . '_width'] . '" /> x <input type="number"' . (( $size != '' ) ? ' size="' . $size . '"' : '') . ' maxlength="' . (($maxlength != '') ? $maxlength : 255) . '"' . (( $min !== '' ) ? ' min="' . $min . '"' : '') . (( $max != '' ) ? ' max="' . $max . '"' : '') . ' name="config[' . $config_key . '_height]" value="' . $new[$config_key . '_height'] . '" />';
+			$tpl = '<input id="' . $key . '" type="number"' . (( $size != '' ) ? ' size="' . $size . '"' : '') . ' maxlength="' . (($maxlength != '') ? $maxlength : 255) . '"' . (( $min !== '' ) ? ' min="' . $min . '"' : '') . (( $max != '' ) ? ' max="' . $max . '"' : '') . ' name="config[' . $config_key . '_width]" value="' . $new[$config_key . '_width'] . '"> x <input type="number"' . (( $size != '' ) ? ' size="' . $size . '"' : '') . ' maxlength="' . (($maxlength != '') ? $maxlength : 255) . '"' . (( $min !== '' ) ? ' min="' . $min . '"' : '') . (( $max != '' ) ? ' max="' . $max . '"' : '') . ' name="config[' . $config_key . '_height]" value="' . $new[$config_key . '_height'] . '">';
 		break;
 
 		case 'textarea':
@@ -306,8 +306,8 @@
 			$tpl_type_cond = explode('_', $tpl_type[1]);
 			$type_no = ($tpl_type_cond[0] == 'disabled' || $tpl_type_cond[0] == 'enabled') ? false : true;
 
-			$tpl_no = '<label><input type="radio" name="' . $name . '" value="0"' . $key_no . ' class="radio" /> ' . (($type_no) ? $user->lang['NO'] : $user->lang['DISABLED']) . '</label>';
-			$tpl_yes = '<label><input type="radio" id="' . $key . '" name="' . $name . '" value="1"' . $key_yes . ' class="radio" /> ' . (($type_no) ? $user->lang['YES'] : $user->lang['ENABLED']) . '</label>';
+			$tpl_no = '<label><input type="radio" name="' . $name . '" value="0"' . $key_no . ' class="radio"> ' . (($type_no) ? $user->lang['NO'] : $user->lang['DISABLED']) . '</label>';
+			$tpl_yes = '<label><input type="radio" id="' . $key . '" name="' . $name . '" value="1"' . $key_yes . ' class="radio"> ' . (($type_no) ? $user->lang['YES'] : $user->lang['ENABLED']) . '</label>';
 
 			$tpl = ($tpl_type_cond[0] == 'yes' || $tpl_type_cond[0] == 'enabled') ? $tpl_yes . $tpl_no : $tpl_no . $tpl_yes;
 		break;
diff -Naur phpbb-3.1.0-RC4/includes/functions_content.php phpbb-3.1.0-RC4-HTML5/includes/functions_content.php
--- phpbb-3.1.0-RC4/includes/functions_content.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_content.php	2014-09-21 12:00:00.000000000 +0200
@@ -396,12 +396,12 @@
 
 	if ($bbcode_uid)
 	{
-		$match = array('<br />', "[/*:m:$bbcode_uid]", ":u:$bbcode_uid", ":o:$bbcode_uid", ":$bbcode_uid");
+		$match = array('<br>', "[/*:m:$bbcode_uid]", ":u:$bbcode_uid", ":o:$bbcode_uid", ":$bbcode_uid");
 		$replace = array("\n", '', '', '', '');
 	}
 	else
 	{
-		$match = array('<br />');
+		$match = array('<br>');
 		$replace = array("\n");
 	}
 
@@ -873,8 +873,8 @@
 function bbcode_nl2br($text)
 {
 	// custom BBCodes might contain carriage returns so they
-	// are not converted into <br /> so now revert that
-	$text = str_replace(array("\n", "\r"), array('<br />', "\n"), $text);
+	// are not converted into <br> so now revert that
+	$text = str_replace(array("\n", "\r"), array('<br>', "\n"), $text);
 	return $text;
 }
 
@@ -887,12 +887,12 @@
 
 	if ($force_option || !$config['allow_smilies'] || !$user->optionget('viewsmilies'))
 	{
-		return preg_replace('#<!\-\- s(.*?) \-\-><img src="\{SMILIES_PATH\}\/.*? \/><!\-\- s\1 \-\->#', '\1', $text);
+		return preg_replace('#<!\-\- s(.*?) \-\-><img src="\{SMILIES_PATH\}\/.*?\s?\/?><!\-\- s\1 \-\->#', '\1', $text);
 	}
 	else
 	{
 		$root_path = (defined('PHPBB_USE_BOARD_URL_PATH') && PHPBB_USE_BOARD_URL_PATH) ? generate_board_url() . '/' : $phpbb_path_helper->get_web_root_path();
-		return preg_replace('#<!\-\- s(.*?) \-\-><img src="\{SMILIES_PATH\}\/(.*?) \/><!\-\- s\1 \-\->#', '<img class="smilies" src="' . $root_path . $config['smilies_path'] . '/\2 />', $text);
+		return preg_replace('#<!\-\- s(.*?) \-\-><img src="\{SMILIES_PATH\}\/(.*?)\s?\/?><!\-\- s\1 \-\->#', '<img class="smilies" src="' . $root_path . $config['smilies_path'] . '/\2>', $text);
 	}
 }
 
@@ -1013,7 +1013,7 @@
 			}
 			else if ($extensions[$attachment['extension']]['upload_icon'])
 			{
-				$upload_icon = '<img src="' . $phpbb_root_path . $config['upload_icons_path'] . '/' . trim($extensions[$attachment['extension']]['upload_icon']) . '" alt="" />';
+				$upload_icon = '<img src="' . $phpbb_root_path . $config['upload_icons_path'] . '/' . trim($extensions[$attachment['extension']]['upload_icon']) . '" alt="">';
 			}
 		}
 
diff -Naur phpbb-3.1.0-RC4/includes/functions_convert.php phpbb-3.1.0-RC4-HTML5/includes/functions_convert.php
--- phpbb-3.1.0-RC4/includes/functions_convert.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_convert.php	2014-09-21 12:00:00.000000000 +0200
@@ -2467,7 +2467,7 @@
 	{
 		$str = (sizeof($bad_dirs) == 1) ? $user->lang['MAKE_FOLDER_WRITABLE'] : $user->lang['MAKE_FOLDERS_WRITABLE'];
 		sort($bad_dirs);
-		$convert->p_master->error(sprintf($str, implode('<br />', $bad_dirs)), __LINE__, __FILE__);
+		$convert->p_master->error(sprintf($str, implode('<br>', $bad_dirs)), __LINE__, __FILE__);
 	}
 
 	for ($i = 0; $i < sizeof($filelist); ++$i)
diff -Naur phpbb-3.1.0-RC4/includes/functions_display.php phpbb-3.1.0-RC4-HTML5/includes/functions_display.php
--- phpbb-3.1.0-RC4/includes/functions_display.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_display.php	2014-09-21 12:00:00.000000000 +0200
@@ -80,7 +80,7 @@
 			}
 
 			trigger_error(
-				$user->lang['FORUMS_MARKED'] . '<br /><br />' .
+				$user->lang['FORUMS_MARKED'] . '<br><br>' .
 				sprintf($user->lang['RETURN_INDEX'], '<a href="' . $redirect . '">', '</a>')
 			);
 		}
@@ -354,7 +354,7 @@
 				$json_response->send($data);
 			}
 
-			trigger_error($user->lang['FORUMS_MARKED'] . '<br /><br />' . $message);
+			trigger_error($user->lang['FORUMS_MARKED'] . '<br><br>' . $message);
 		}
 		else
 		{
@@ -389,7 +389,7 @@
 				'FORUM_DESC'			=> generate_text_for_display($row['forum_desc'], $row['forum_desc_uid'], $row['forum_desc_bitfield'], $row['forum_desc_options']),
 				'FORUM_FOLDER_IMG'		=> '',
 				'FORUM_FOLDER_IMG_SRC'	=> '',
-				'FORUM_IMAGE'			=> ($row['forum_image']) ? '<img src="' . $phpbb_root_path . $row['forum_image'] . '" alt="' . $user->lang['FORUM_CAT'] . '" />' : '',
+				'FORUM_IMAGE'			=> ($row['forum_image']) ? '<img src="' . $phpbb_root_path . $row['forum_image'] . '" alt="' . $user->lang['FORUM_CAT'] . '">' : '',
 				'FORUM_IMAGE_SRC'		=> ($row['forum_image']) ? $phpbb_root_path . $row['forum_image'] : '',
 				'U_VIEWFORUM'			=> append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . $row['forum_id']),
 			);
@@ -572,7 +572,7 @@
 			'FORUM_IMG_STYLE'		=> $folder_image,
 			'FORUM_FOLDER_IMG'		=> $user->img($folder_image, $folder_alt),
 			'FORUM_FOLDER_IMG_ALT'	=> isset($user->lang[$folder_alt]) ? $user->lang[$folder_alt] : '',
-			'FORUM_IMAGE'			=> ($row['forum_image']) ? '<img src="' . $phpbb_root_path . $row['forum_image'] . '" alt="' . $user->lang[$folder_alt] . '" />' : '',
+			'FORUM_IMAGE'			=> ($row['forum_image']) ? '<img src="' . $phpbb_root_path . $row['forum_image'] . '" alt="' . $user->lang[$folder_alt] . '">' : '',
 			'FORUM_IMAGE_SRC'		=> ($row['forum_image']) ? $phpbb_root_path . $row['forum_image'] : '',
 			'LAST_POST_SUBJECT'		=> (!$row['forum_password'] && $auth->acl_get('f_read', $row['forum_id'])) ? censor_text($last_post_subject) : "",
 			'LAST_POST_SUBJECT_TRUNCATED'	=> (!$row['forum_password'] && $auth->acl_get('f_read', $row['forum_id'])) ? $last_post_subject_truncated : "",
@@ -1255,7 +1255,7 @@
 
 						if (!$request->is_ajax())
 						{
-							$message .= '<br /><br />' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
+							$message .= '<br><br>' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
 						}
 						trigger_error($message);
 					}
@@ -1270,7 +1270,7 @@
 
 					if (!$request->is_ajax())
 					{
-						$message .= '<br /><br />' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
+						$message .= '<br><br>' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
 					}
 					meta_refresh(3, $redirect_url);
 					trigger_error($message);
@@ -1329,7 +1329,7 @@
 
 						if (!$request->is_ajax())
 						{
-							$message .= '<br /><br />' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
+							$message .= '<br><br>' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
 						}
 						trigger_error($message);
 					}
@@ -1345,7 +1345,7 @@
 
 					if (!$request->is_ajax())
 					{
-						$message .= '<br /><br />' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
+						$message .= '<br><br>' . $user->lang('RETURN_' . strtoupper($mode), '<a href="' . $redirect_url . '">', '</a>');
 					}
 					meta_refresh(3, $redirect_url);
 					trigger_error($message);
@@ -1424,7 +1424,7 @@
 	{
 		$rank_title = (isset($ranks['special'][$user_rank]['rank_title'])) ? $ranks['special'][$user_rank]['rank_title'] : '';
 		$rank_img_src = (!empty($ranks['special'][$user_rank]['rank_image'])) ? $phpbb_path_helper->update_web_root_path($phpbb_root_path . $config['ranks_path'] . '/' . $ranks['special'][$user_rank]['rank_image']) : '';
-		$rank_img = (!empty($ranks['special'][$user_rank]['rank_image'])) ? '<img src="' . $rank_img_src . '" alt="' . $ranks['special'][$user_rank]['rank_title'] . '" title="' . $ranks['special'][$user_rank]['rank_title'] . '" />' : '';
+		$rank_img = (!empty($ranks['special'][$user_rank]['rank_image'])) ? '<img src="' . $rank_img_src . '" alt="' . $ranks['special'][$user_rank]['rank_title'] . '" title="' . $ranks['special'][$user_rank]['rank_title'] . '">' : '';
 	}
 	else if ($user_posts !== false)
 	{
@@ -1436,7 +1436,7 @@
 				{
 					$rank_title = $rank['rank_title'];
 					$rank_img_src = (!empty($rank['rank_image'])) ? $phpbb_path_helper->update_web_root_path($phpbb_root_path . $config['ranks_path'] . '/' . $rank['rank_image']) : '';
-					$rank_img = (!empty($rank['rank_image'])) ? '<img src="' . $rank_img_src . '" alt="' . $rank['rank_title'] . '" title="' . $rank['rank_title'] . '" />' : '';
+					$rank_img = (!empty($rank['rank_image'])) ? '<img src="' . $rank_img_src . '" alt="' . $rank['rank_title'] . '" title="' . $rank['rank_title'] . '">' : '';
 					break;
 				}
 			}
diff -Naur phpbb-3.1.0-RC4/includes/functions_download.php phpbb-3.1.0-RC4-HTML5/includes/functions_download.php
--- phpbb-3.1.0-RC4/includes/functions_download.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_download.php	2014-09-21 12:00:00.000000000 +0200
@@ -112,7 +112,7 @@
 	echo '</head>';
 	echo '<body>';
 	echo '<div>';
-	echo '<img src="' . $src . '" alt="' . $title . '" />';
+	echo '<img src="' . $src . '" alt="' . $title . '">';
 	echo '</div>';
 	echo '</body>';
 	echo '</html>';
@@ -157,7 +157,7 @@
 		if (!empty($php_errormsg))
 		{
 			send_status_line(500, 'Internal Server Error');
-			trigger_error($user->lang['UNABLE_TO_DELIVER_FILE'] . '<br />' . sprintf($user->lang['TRACKED_PHP_ERROR'], $php_errormsg));
+			trigger_error($user->lang['UNABLE_TO_DELIVER_FILE'] . '<br>' . sprintf($user->lang['TRACKED_PHP_ERROR'], $php_errormsg));
 		}
 
 		send_status_line(500, 'Internal Server Error');
diff -Naur phpbb-3.1.0-RC4/includes/functions_install.php phpbb-3.1.0-RC4-HTML5/includes/functions_install.php
--- phpbb-3.1.0-RC4/includes/functions_install.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_install.php	2014-09-21 12:00:00.000000000 +0200
@@ -266,7 +266,7 @@
 	if (is_array($db->sql_connect($dbhost, $dbuser, $dbpasswd, $dbname, $dbport, false, true)))
 	{
 		$db_error = $db->sql_error();
-		$error[] = $lang['INST_ERR_DB_CONNECT'] . '<br />' . (($db_error['message']) ? utf8_convert_message($db_error['message']) : $lang['INST_ERR_DB_NO_ERROR']);
+		$error[] = $lang['INST_ERR_DB_CONNECT'] . '<br>' . (($db_error['message']) ? utf8_convert_message($db_error['message']) : $lang['INST_ERR_DB_NO_ERROR']);
 	}
 	else
 	{
